## org.apache.myfaces.custom.urlvalidator
Class ValidateUrlTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.faces.webapp.ValidatorTag
              org.apache.myfaces.custom.urlvalidator.ValidateUrlTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ValidateUrlTag
extends javax.faces.webapp.ValidatorTag

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ValidateUrlTag()`

Method Summary
`protected javax.faces.validator.Validator` `createValidator()`
`void` `release()`

Methods inherited from class javax.faces.webapp.ValidatorTag
`doStartTag, setValidatorId`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateUrlTag

    public ValidateUrlTag()

Method Detail

### createValidator

    protected javax.faces.validator.Validator createValidator()
                                                       throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()